Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.collection
Class OneToManyJoinWalker

    java.lang.Object
      org.hibernate.loader.JoinWalker
          org.hibernate.loader.collection.CollectionJoinWalker
              org.hibernate.loader.collection.OneToManyJoinWalker

    public class OneToManyJoinWalker

extends CollectionJoinWalker

Walker for one-to-many associations

Author:
  Gavin King
See Also:
  `OneToManyLoader`

Field Summary

Fields inherited from class org.hibernate.loader.JoinWalker
`aliases, associations, collectionOwners, collectionPersisters, collectionSuffixes, lockModeArray, ownerAssociationTypes, owners, persisters, sql, suffixes`

Constructor Summary
`OneToManyJoinWalker(QueryableCollection oneToManyPersister, int batchSize, String subquery, SessionFactoryImplementor factory, Map enabledFilters)`

Method Summary
`protected boolean` | `isDuplicateAssociation(String foreignKeyTable, String[] foreignKeyColumns)` Used to detect circularities in the joined graph, note that this method is side-effecty
`String` | `toString()`

Methods inherited from class org.hibernate.loader.collection.CollectionJoinWalker
`whereString`

Methods inherited from class org.hibernate.loader.JoinWalker
`countCollectionPersisters, countEntityPersisters, generateRootAlias, generateTableAlias, getAliases, getCollectionOwners, getCollectionPersisters, getCollectionSuffixes, getDialect, getEnabledFilters, getFactory, getJoinType, getJoinType, getLockModeArray, getOwnerAssociationTypes, getOwners, getPersisters, getSQLString, getSuffixes, initPersisters, isDuplicateAssociation, isJoinable, isJoinedFetchEnabled, isJoinedFetchEnabledInMapping, isTooDeep, isTooManyCollections, mergeOrderings, mergeOuterJoins, orderBy, orderBy, selectString, setAliases, setCollectionOwners, setCollectionPersisters, setCollectionSuffixes, setLockModeArray, setOwnerAssociationTypes, setOwners, setPersisters, setSql, setSuffixes, walkCollectionTree, walkEntityTree, whereString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OneToManyJoinWalker

    public OneToManyJoinWalker(QueryableCollection oneToManyPersister,
                               int batchSize,
                               String subquery,
                               SessionFactoryImplementor factory,
                               Map enabledFilters)
                        throws MappingException

Throws:
  `MappingException`

Method Detail

### isDuplicateAssociation

    protected boolean isDuplicateAssociation(String foreignKeyTable,
                                             String[] foreignKeyColumns)

  Description copied from class: `JoinWalker`
  Used to detect circularities in the joined graph, note that this method is side-effecty

  Overrides:
    `isDuplicateAssociation` in class `JoinWalker`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD